<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = 'trfmain';

$file = "inttrf.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name`  = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND c.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`shift` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`totamount` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`remark1` . a.`remark2` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND c.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`shift` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND a.`totamount` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`remark1` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY c.`name`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`shift`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`totamount`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`remark1`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

mysqli_query($conn,"Create temporary table `intnew` SELECT a.vouchno,DATE_FORMAT(a.`vouchdt`, '%d-%m-%Y') as vouchdt,a.fromdept,a.todept ,a.shift,a.totamount,a.remark1,a.remark2,"
        . "b.name as frmdpt, c.name as todpt , b.code as bcode,c.code as ncode FROM trfmain a ,dept b , dept c WHERE a.fromdept = b.code AND a.todept = c.code ") or die(mysqli_error($conn));
    
$query = "SELECT * FROM intnew WHERE vouchno !='' " or die(mysqli_error($conn));

$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    $rows[] = [ 'success' => true,
        'value'      => $ctr,
        'keyfld'     => $keyfld,
        'vouchno'    => $r['vouchno'],
        'vouchdt'    => $r['vouchdt'],
        'frmdpt'   => $r['frmdpt'],
        'todpt'    => $r['todpt'],
        'shift'      => $r['shift'],
        'totamount'  => $r['totamount'],
        'remark1'    => $r['remark1'],
        'remark2'    => $r['remark2'],
        'action'     => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
